﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ticktacktoe
{
    class Human: IPlayer
    {
        private char side = 'x';

        public Human(char side)
        {
            this.side = side;
        }

        public char GetSide()
        {
            return this.side;
        }

        public void MakeStep(Game game)
        {
            game.PrintField();
            List<int> free = game.GetFreeCells();
            int input;
            while (true)
            {
                Console.WriteLine("choose your cell");
                input = Convert.ToInt32(Console.ReadLine());
                Console.WriteLine();

                if (free.Contains(input - 1))
                {
                    break;
                }
                Console.Write("the cell is not free! again ");
            }

            game.SetCell(input - 1, this.side);
            
        }

        public void Win()
        {
            Console.WriteLine("you win, HUMAN, okey...");
        }

        public void Lose()
        {
            Console.WriteLine("you lose, HUMAN, HAHA");
        }

        public void Draw()
        {
            Console.WriteLine("hm, it's a draw.");
        }
    }
}
